import request from '@/utils/request'
//获取列表
export function getInfo(data) {
  return request({
    url: '/printbill/getPrintBreedList',
    method: 'post',
    params: data
  })
}
//预出库锁定版
export function lockPreOutPrintBreed(data) {
  return request({
    url: '/printbill/lockPreOutPrintBreed',
    method: 'post',
    params: data
  })
}
//预出库解锁版
export function unlockPreOutPrintBreed(data) {
  return request({
    url: '/printbill/unlockPreOutPrintBreed',
    method: 'post',
    params: data
  })
}
//预出库完成处理
export function completePreOutStockV2(data) {
  return request({
    url: '/printbill/completePreOutStockV2',
    method: 'post',
    params: data
  })
}
//预出库生成请购并完成处理
export function preOutPurchaseRequestV2(data) {
  return request({
    url: '/printbill/preOutPurchaseRequestV2',
    method: 'post',
    params: data
  })
}
//预出库不再处理
export function forceCompletePreOutStockV2(data) {
  return request({
    url: '/printbill/forceCompletePreOutStockV2',
    method: 'post',
    params: data
  })
}


//搜索纸张档案
export function searchPaperStock(data) {
  return request({
    url: '/printbill/searchPaperStock',
    method: 'post',
    params: data
  })
}
// 默认纸张
export function defaultMaterialStock(data) {
  return request({
    url: '/printbill/defaultMaterialStock',
    method: 'post',
    params: data
  })
}

// 领纸
export function requestPaperOut(data) {
  return request({
    url: '/printbill/requestPaperOut',
    method: 'post',
    params: data
  })
}

//获取来源厂外协单列表
export function queryRemoteBills(data) {
  return request({
    url: '/outassistBusiness/queryRemoteBills',
    method: 'post',
    params: data
  })
}

//获取来源厂列表
export function queryOriginFactories(data) {
  return request({
    url: '/outassistDoc/queryOriginFactories',
    method: 'post',
    params: data
  })
}

//将外协单 对接到本厂
export function convertRemoteToLocalOrder(data) {
  return request({
    url: '/outassistBusiness/convertRemoteToLocalOrder',
    method: 'post',
    params: data
  })
}

//入库单查询
export function getStockBillItemMList(data) {
  return request({
    url: '/inventory/getStockBillItemMList',
    method: 'post',
    params: data
  })
}
//预出库查询
export function getPrintBreedList(data) {
  return request({
    url: '/printbill/getPrintBreedList',
    method: 'post',
    params: data
  })
}

//:预出库退回
export function preOutBackV2(data) {
  return request({
    url: '/printbill/preOutBackV2',
    method: 'post',
    params: data
  })
}
//辅料预出库
export function queryProcessForPreOut(data) {
  return request({
    url: 'order/v1/queryProcessForPreOut',
    method: 'post',
    params: data
  })
}
//生成领料单
export function materialPreOutCompleteV2(data) {
  return request({
    url: 'order/v1/materialPreOutCompleteV2',
    method: 'post',
    params: data
  })
}
//开制请购单
export function materialPreOutPurchaseRequestV2(data) {
  return request({
    url: 'order/v1/materialPreOutPurchaseRequestV2',
    method: 'post',
    params: data
  })
}
//不再处理
export function materialPreOutForceComplete(data) {
  return request({
    url: 'order/v1/materialPreOutForceComplete',
    method: 'post',
    params: data
  })
}

//领纸打印
export function printBillDoPrint(data) {
  return request({
    url: '/printbill/printBillDoPrint',
    method: 'post',
    params: data
  })
}
//预出库锁定
export function materialPreOutLock(data) {
  return request({
    url: '/order/v1/materialPreOutLock',
    method: 'post',
    params: data
  })
}
//预出库解锁
export function materialPreOutUnLock(data) {
  return request({
    url: 'order/v1/materialPreOutUnLock',
    method: 'post',
    params: data
  })
}

//获取辅料
export function searchMaterialStock(data) {
  return request({
    url: '/order/v1/searchMaterialStock',
    method: 'post',
    params: data
  })
}
//查询待领料的工序
export function queryProcessForPreOutStock(data) {
  return request({
    url: '/order/v1/queryProcessForPreOut',
    method: 'post',
    params: data
  })
}
//辅料领料
export function materialPicking(data) {
  return request({
    url: '/order/v1/materialPicking',
    method: 'post',
    params: data
  })
}
//辅料预出库退回
export function materialPreOutBackV2(data) {
  return request({
    url: '/order/v1/materialPreOutBackV2',
    method: 'post',
    params: data
  })
}
//打印外协单
export function doPrintRemoteOutAssistBill(data) {
  return request({
    url: '/outassistBusiness/doPrintRemoteOutAssistBill',
    method: 'post',
    params: data
  })
}
//打印外协单
export function doPrintRemotePrintBill(data) {
  return request({
    url: '/outassistBusiness/doPrintRemotePrintBill',
    method: 'post',
    params: data
  })
}

